<mat-selection-list [multiple]="false" hideSingleSelectionIndicator>
  @for (navItem of navItems; track navItem) {
    @if (!!navItem.data) {
      <mat-list-option
        class="slabs-list-option-primary"
        [value]="navItem.title"
        [routerLink]="[navItem.path]"
        routerLinkActive="router-link-active"
      >
        <mat-icon
          class="material-icons-outlined material-symbols-outlined"
          matListItemIcon
        >
          {{ navItem.data["icon"] }}
        </mat-icon>
        <div matListItemTitle>
          {{ navItem.data!["sectionName"] | titlecase }}
        </div>
      </mat-list-option>
    }
  }
</mat-selection-list>
